---
title: PaymentCurrencyAmount
slug: Web/API/PaymentCurrencyAmount
tags:
  - API
  - Commerce
  - Currency
  - Dictionary
  - Payment Request
  - Payment Request API
  - PaymentCurrencyAmount
  - Price
  - Reference
  - Shipping
  - cost
  - payment
  - value
---
<div>{{securecontext_header}}{{APIRef("Payment Request API")}}</div>

<p><span class="seoSummary">The <strong><code>PaymentCurrencyAmount</code></strong> dictionary describes an amount of money in terms of both a number of units and the currency (US dollars, Euro, yen, etc.), and is part of the <a href="/en-US/docs/Web/API/Payment_Request_API">Payment Request API</a>.</span> This is used to specify the prices of both line items on a payment, using {{domxref("PaymentItem")}} objects, and to provide the cost of a shipping option, using {{domxref("PaymentShippingOption")}}.</p>

<h2 id="Properties">Properties</h2>

<p>All properties are required.</p>

<dl>
 <dt>{{domxref("PaymentCurrencyAmount.currency", "currency")}}</dt>
 <dd>A string containing a valid 3-letter <a href="https://www.iso.org/iso-4217-currency-codes.html">ISO 4217</a> currency identifier ({{interwiki("wikipedia", "ISO 4217")}}) indicating the currency used for the payment <code>value</code>.</dd>
 <dt>{{domxref('PaymentCurrencyAmount.value', "value")}}</dt>
 <dd>A string containing a valid decimal value representing the mount of currency constituting the payment amount. This string must only contain an optional leading "-" to indicate a negative value, then one or more digits from 0 to 9, and an optional decimal point (".", regardless of locale) followed by at least one more digit. No whitespace is permitted.</dd>
</dl>

<h3 id="Obsolete_properties">Obsolete properties</h3>

<p><em>These properties have been removed from the specification and should no longer be used.</em></p>

<dl>
 <dt>{{domxref("PaymentCurrencyAmount.currencySystem", "currencySystem")}} {{optional_inline}} {{deprecated_inline}}</dt>
 <dd>A string describing the standard or specification as well as the currency system identifier within that system which was used to provide the <code>value</code>. This has been removed; instead of allowing sites to choose the standard to use, ISO 4217 is always used for the <code>currency</code> identifier now.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentcurrencyamount','PaymentCurrencyAmount')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentCurrencyAmount")}}</p>
</div>
